<?
include_once("inc/func.inc");
list($tip,$oform)=file_type("files$did");
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101 || $dostup==102){
echo "</div><div class=c><b>Управление</b></div><div>Папки центра:<br>";
if ($all_dir){
echo"<a href='inc/dir.php?did=$did&ren=1&SID=$SID'>Переименовать</a><br>";
echo"<a href='inc/dir.php?did=$did&deld=1&SID=$SID'> Удалить</a><br>";
}
echo"<a href='inc/dir.php?did=$did&creat=1&SID=$SID'> Создать</a><br>";
echo"<a href='inc/dir.php?did=$did&typ=1&SID=$SID'> Тип папки </a><br>Если не указан тип файлов, то данная папка НЕ БУДЕТ отображать файлы<br>";
echo"<a href='inc/dir.php?did=$did&chm=1&SID=$SID'> Указать CHMOD папке</a><br>";}
if ($dostup==101){
echo"<a href='inc/dir.php?did=$did&act=dirchmod&SID=$SID'> Указать CHMOD папкам <font color='red'>TEST!</font></a><br>";
echo"<a href='inc/dir.php?did=$did&dal=1&SID=$SID'> Очистить</a><br>";
if(file_exists("files$did/alf.onn")!==true){
echo"<a href='inc/dir.php?did=$did&alf=1&SID=$SID'> Подпапки /файлы/ по алфавиту <font color='red'>TEST!</font></a><br>";}
else{
echo"<a href='inc/dir.php?did=$did&alf=2&SID=$SID'> Подпапки /файлы/ по списку <font color='red'>TEST!</font></a><br>";}
if($tip!=="no" && $tip!=="all"){
if(file_exists("files$did/users.offs")!==true){
echo"<a href='inc/dir.php?did=$did&upl=1&SID=$SID'> Разрешить загрузку юзерами</a><br>";}
else{
echo"<a href='inc/dir.php?did=$did&del_upl=1&SID=$SID'> Запретить загрузку юзерами</a><br>";}
if (file_exists("files$did/guest.offs")!==true){
echo"<a href='inc/dir.php?did=$did&skach_guest=1&SID=$SID'> Запретить скачивание файлов в папке гостям</a><br>";}
else{
echo"<a href='inc/dir.php?did=$did&skach_guest=2&SID=$SID'> Разрешить скачивание файлов в папке гостям</a><br>";}}
}
if($tip!=="no" && $tip!=="all"){
echo "<hr>Файлы центра: <br>";}
if ($dostup==101){
if($tip!=="no" && $tip!=="all"){
echo"<a href='opfile.php?did=$did&per=1&SID=$SID'> Переместить / Удалить <font color='red'>TEST!</font></a><br>";
//echo"<a href='inc/file.php?did=$did&dell=1&SID=$SID'> Удалить</a><br>";
}}
if ($dostup==101 || $dostup==102 || $dostup==103){
if($tip!=="no" && $tip!=="all"){
echo"<a href='inc/file.php?did=$did&ren=1&SID=$SID'>Переименовать</a><br>";

echo"<a href='inc/file.php?did=$did&cro=1&SID=$SID'> Создать описание</a><br>";
echo"<a href='inc/file.php?did=$did&edo=1&SID=$SID'> Изменить описание</a><br>";}

echo "<hr>Скриншоты: <br>";
if($tip!=="no" && $tip!=="all"){
echo"<a href='inc/Upl_scr.php?did=$did&edo=1&SID=$SID'> Загрузить скриншот</a><br>";
echo"<a href='inc/Upl_scr_op.php?did=$did&edo=1&SID=$SID'> Загрузить скриншот (Opera-Mini)</a><br>";}
if($tip!=="no" && $tip!=="all"){
echo "<hr>Выгрузка: <br>";
echo "<a href='inc/Upl.php?did=$did&SID=$SID'>Выгрузить файлы (ПК)</a><br>";
echo "<a href='inc/Upl_opera.php?did=$did&SID=$SID'>Выгрузить файлы (Опера-мини)</a><br>";}}

if ($dostup==101){
if($tip!=="no" && $tip!=="all"){   
echo "<a href='inc/import.php?did=$did&SID=$SID'>Импорт файлов</a><br>";}
echo "<hr>Настройка: <br>";
echo "<a href='inc/conf.php?SID=$SID'>Конфигурация</a><br>";}
if ($dostup==101 || $dostup==102 || $dostup==103){
echo "<hr>База:<br>";
$baz = baze('baze');
if($baz==''){echo "<a href='inc/baze.php?act=open&SID=$SID'>Создать базу</a><br>";}
else{
echo "<a href='inc/baze.php?act=obnov&SID=$SID'>Обновить базу</a><br>";
echo "<a href='inc/baze.php?act=clean&SID=$SID'>Очистить базу</a><br>";
echo "<a href='inc/baze.php?act=optim&SID=$SID'>Оптимизировать базу</a><br>";}
echo "Обязательно после манипуляции над файлами через фтп!<br>";
}
}
?>
